﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace TwitterDisplay
{

    public partial class MainPage : PhoneApplicationPage
    {
        WebClient client;
        TwitterClass twitter;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            twitter = new TwitterClass();

            client = new WebClient();
            client.DownloadStringCompleted += new DownloadStringCompletedEventHandler(client_DownloadStringCompleted);
        }

        void client_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                twitter.UpdatePosts(e.Result, user);
                postsStackPanel.Children.Clear();

                foreach (TwitterPost post in twitter.posts)
                {
                    TwitterPostControl t = new TwitterPostControl();
                    t.LayoutRoot.DataContext = post;
                    postsStackPanel.Children.Add(t);
                    postsStackPanel.Height += t.Height;
                }
            }
        }

        string user;

        private void loadButton_Click(object sender, RoutedEventArgs e)
        {
            user = nameTextBox.Text.ToLower();
            string url = "http://twitter.com/statuses/user_timeline/" + user + ".rss";

            client.DownloadStringAsync(new Uri(url));
        }
    }
}