﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Collections.Generic;
using System.ComponentModel;
using System.Xml.Linq;

namespace TwitterDisplay
{
    public class TwitterPost : INotifyPropertyChanged
    {
        public string PostText { get; set; }

        public DateTime DatePosted { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class TwitterClass
    {
        public List<TwitterPost> posts = new List<TwitterPost>();

        public void UpdatePosts(string rssText, string user)
        {
            posts.Clear();

            XElement RSSElement = XElement.Parse(rssText);

            foreach (var node in RSSElement.Element("channel").Elements("item"))
            {
                var post = new TwitterPost();
                var message = node.Element("description").Value;

                //remove username information
                post.PostText = message.Replace(user + ": ", string.Empty);
                post.DatePosted = DateTime.Parse(node.Element("pubDate").Value);
                posts.Add(post);
            }
        }
    }
}
